<?php
/**
 * @author ElisDN <mail@elisdn.ru>
 * @link http://www.elisdn.ru/blog/58/old-posts-promotion-on-twitter
 * @version 1.0
 */

namespace Shorter;

use Cache\Cache;

class CachedShorter implements Shorter
{
	private $shorter;
	private $cache;

	public function __construct(Shorter $shorter, Cache $cache) {
		$this->shorter = $shorter;
		$this->cache = $cache;
	}

	public function shortUrl($url) {
		$key = $this->generateCacheKey($url);
		if ($this->cache->has($key)) {
			$value = $this->cache->get($key);
		} else {
			$value = $this->shorter->shortUrl($url);
			$this->cache->set($key, $value);
		}
		return $value;
	}

	private function generateCacheKey($url) {
		return 'short_' . md5($url);
	}
}