<?php
/**
 * @author ElisDN <mail@elisdn.ru>
 * @link http://www.elisdn.ru/blog/58/old-posts-promotion-on-twitter
 * @version 1.0
 */

namespace Twitter;

class Tagger
{
	protected $require_tags = [];
	protected $matched_tags = [];

	public function __construct(array $require_tags, array $matched_tags) {
		$this->require_tags = $require_tags;
		$this->matched_tags = $matched_tags;
	}

	public function getTags($text) {
		$filtered_text = str_replace(['. ', ': ', '? ', '&'], ' ', ' ' . $text . ' ');
		$tags = [];
		foreach ($this->require_tags as $tag) {
			$tags[] = '#' . $tag;
		}
		foreach ($this->matched_tags as $match => $tag) {
			if (mb_stripos($filtered_text, $match, null, 'UTF-8') !== false) {
				$tags[] = '#' . $tag;
			}
		}
		return implode(' ', array_unique($tags));
	}
}