<?php
/**
 * @author ElisDN <mail@elisdn.ru>
 * @link http://www.elisdn.ru/blog/58/old-posts-promotion-on-twitter
 * @version 1.0
 */

namespace Twitter;

class Tweet
{
	private $prefix = '';
	private $text = '';
	private $url = '';
	private $tags = '';
	private $via = '';

	public function __construct($text, $url = '', $tags = '', $via = '', $prefix = '') {
		$this->prefix = $prefix;
		$this->text = $text;
		$this->url = $url;
		$this->tags = $tags;
		$this->via = $via;
	}

	public function getMessage() {
		$prefix = $this->prefix ? $this->prefix . ' ' : '';
		$text = $this->text;
		$url = $this->url ? ': ' . $this->url : '';
		$tags = $this->tags ? ' ' . $this->tags : '';
		$via = $this->via ? ' via ' . $this->via : '';
		return $prefix . $text . $url . $tags . $via;
	}
}